## kali-defaults 2025.3.0

=== debian/changelog ===
kali-defaults (2025.3.0) kali-dev; urgency=medium

  * Configure chromium home button to open Kali's home page
  * Force install of chromium config file

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 24 Jun 2025 10:51:03 +0200

kali-defaults (2025.2.4) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 21 May 2025 12:39:05 +0200

kali-defaults (2025.2.3) kali-dev; urgency=medium

  * Sync openssl config file with Debian
  * Update lintian overrides
  * Remove d/compat, switch to debhelper-compat for real
  * Bump Standards-Version (no change needed)
  * Drop outdated Breaks/Replaces

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 15 May 2025 13:58:01 +0700

kali-defaults (2025.2.2) kali-dev; urgency=medium

  * Update SSH kali-wide-compat.conf

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 15 May 2025 11:11:06 +0700

kali-defaults (2025.2.1) kali-dev; urgency=medium

  * Move offsec's browser bookmark at the begining

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 21 Apr 2025 10:28:04 +0200

kali-defaults (2025.2.0) kali-dev; urgency=medium

  * In zsh don't consider '=' char part of the word during deletion
  * Set zsh WORDCHARS to '_-' only
  * Add reference links for offec links
  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 16 Apr 2025 11:50:39 +0200

kali-defaults (2025.1.1) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 19 Feb 2025 15:58:43 +0100

kali-defaults (2025.1.0) kali-dev; urgency=medium

  * Add etc/modprobe.d/kali-defaults.conf to allow virtualbox to start with
    kernel 6.12. See https://forums.virtualbox.org/viewtopic.php?t=112580

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 Jan 2025 11:38:09 +0100

kali-defaults (2024.4.7) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Update Kali-specific EXTERNALLY-MANAGED file

  [ Daniel Ruiz de Alegría ]
  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 21 Nov 2024 09:26:48 +0100

kali-defaults (2024.4.6) kali-dev; urgency=medium

  * Nitpicks in .zprofile
  * Pre-create the ~/.local/bin directory

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 23 Oct 2024 16:53:52 +0700

kali-defaults (2024.4.5) kali-dev; urgency=medium

  * Configure zsh to load .profile

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 23 Oct 2024 08:58:32 +0200

kali-defaults (2024.4.4) kali-dev; urgency=medium

  * Reapply "Fix lightdm not sourcing /etc/profile"
  * Add link to source

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 15 Oct 2024 14:12:17 +0200

kali-defaults (2024.4.3) kali-dev; urgency=medium

  * Add script kali-check-apt-sources, call it from APT hook
  * Update SSH kali-wide-compat.conf

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 01 Oct 2024 11:25:37 +0700

kali-defaults (2024.4.2) kali-dev; urgency=medium

  * Add Kali-specific EXTERNALLY-MANAGED file for Python 3.12 and 3.13

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 19 Sep 2024 11:34:41 +0700

kali-defaults (2024.4.1) kali-dev; urgency=medium

  * Fix autopkgtest for SSH Wide Compat

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 13 Sep 2024 10:53:57 +0700

kali-defaults (2024.4.0) kali-dev; urgency=medium

  * Update install path: /lib -> /usr/lib
  * Update SSH kali-wide-compat.conf

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 13 Sep 2024 09:58:37 +0700

kali-defaults (2024.3.0) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 09 Aug 2024 13:43:15 +0200

kali-defaults (2024.2.0) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Replace cp -n option with --update=none
  * Update browser home page

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 24 May 2024 16:07:31 +0200

kali-defaults (2024.1.2) kali-dev; urgency=medium

  * Update browser-home-page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 16 Feb 2024 13:01:23 +0100

kali-defaults (2024.1.1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Switched mirror-redirector: Mirrorbits
  * homepage.html: New PEN-103 landing page

  [ Daniel Ruiz de Alegría ]
  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 Feb 2024 13:04:19 +0100

kali-defaults (2024.1.0) kali-dev; urgency=medium

  * Update chromium preferences
  * Move chromium settings to /etc
  * Use correct folder for diverted files
  * Update background for browser's home-page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 25 Jan 2024 15:36:57 +0100

kali-defaults (2023.4.2) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Allow piuparts to fail

  [ Daniel Ruiz de Alegría ]
  * Disable kde discover
  * Disable plasma-welcome
  * Fix links and postinst

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 27 Nov 2023 00:56:24 +0100

kali-defaults (2023.4.1) kali-dev; urgency=medium

  * Disable plasma-welcome and plasma-discover

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 22 Nov 2023 13:22:58 +0100

kali-defaults (2023.4.0) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Nov 2023 17:49:39 +0100

kali-defaults (2023.3.1) kali-dev; urgency=medium

  * Hide java version warning in burp
  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 10 Aug 2023 18:16:33 +0200

kali-defaults (2023.3.0) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add helper script to update firefox browser-homepage
  * Update README

  [ Arnaud Rebillout ]
  * Minor README fix
  * Add missing test dependency kali-defaults
  * Add drop-in ssh config file kali-wide-compat.conf, and script to update it
  * Drop the LocalCommand config from Kali's ssh wide compat
  * Add autopkgtest for Kali's ssh wide compat



## kali-defaults 2025.4.1

=== Makefile ===
# Default target does nothing, intentionally
.PHONY: dummy
dummy:
	@echo hello

.PHONY: ssh-config
ssh-config:
	./bin/update-ssh-config > usr/share/kali-defaults/etc/ssh/ssh_config.d/kali-wide-compat.conf

## kali-defaults 2025.3.2

=== debian/changelog ===
kali-defaults (2025.3.2) kali-dev; urgency=medium

  * Fix zsh coloring not changing on auto suggestions

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 25 Jul 2025 12:36:15 +0200

kali-defaults (2025.3.1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * New Vagrant URL

  [ Daniel Ruiz de Alegría ]
  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 18 Jul 2025 11:32:35 +0200

=== debian/control ===
Source: kali-defaults
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Devon Kearns <dookie@kali.org>,
 Mati Aharoni <muts@kali.org>,
 Raphaël Hertzog <buxy@kali.org>,
 Sophie Brun <sophie@offensive-security.com>,
 Ben Wilson <g0tmi1k@kali.org>,
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Arnaud Rebillout <arnaudr@kali.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://www.kali.org
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-defaults.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-defaults
Rules-Requires-Root: no

Package: kali-defaults
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
# Recommended package for colored kali-treecd
 tree,
Description: Kali default settings
 This package implements various default settings within Kali.
 .
 The size of this package (including its dependencies) should be rather limited
 because it is included in all Kali images, even minimalistic ones such as
 docker images.

Package: kali-defaults-desktop
Architecture: all
Depends:
 kali-defaults,
 libglib2.0-bin,
 ${misc:Depends},
Recommends:
# Fallback font for Asian characters, including '㉿' for the shell prompt
 fonts-droid-fallback,
# Support for emojis
 fonts-noto-color-emoji,
Description: Kali default settings for graphical desktops
 This package implements a subset of various default settings within Kali, in
 particular those that are used by graphical desktops.
 .
 The purpose of this package is mainly to host all configuration changes that
 have a high cost in terms of diskspace due to the size of the dependencies.
 This includes notably all gsettings overrides.

## kali-defaults 2025.3.3

=== debian/changelog ===
kali-defaults (2025.3.3) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 01 Sep 2025 13:32:51 +0200

=== debian/tests/control ===
# non-privileged users should be able to run dmesg
Test-Command: dmesg >/dev/null
Restrictions: isolation-machine

# non-privileged users should be able to open any ports
Tests: unprivileged-ports
Restrictions: isolation-machine
Depends: kali-defaults, netcat-traditional

# test SSH drop-in config: kali-wide-compat.conf
Tests: ssh-wide-compat
Restrictions: needs-root
Depends: kali-defaults, openssh-client

# test the APT checks
Tests: apt-checks
Restrictions: needs-root

## kali-defaults 2025.3.4

=== debian/changelog ===
kali-defaults (2025.3.4) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 04 Sep 2025 13:52:29 +0200

## kali-defaults 2025.3.5

=== debian/changelog ===
kali-defaults (2025.3.5) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Sep 2025 17:35:04 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://www.kali.org
 Vcs-Git: https://gitlab.com/kalilinux/packages/kali-defaults.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-defaults
-Rules-Requires-Root: no
 
 Package: kali-defaults
 Architecture: all

## kali-defaults 2025.4.0

=== debian/changelog ===
kali-defaults (2025.4.0) kali-dev; urgency=medium

  * Configure dconf user profile

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Sep 2025 17:42:15 +0200

## kali-defaults 2025.4.1

=== debian/changelog ===
kali-defaults (2025.4.1) kali-dev; urgency=medium

  * Fix utm_medium parameter for browser home-page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 22 Oct 2025 09:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+Conflicts:
+ debian-edu-config,
 Recommends:
 # Recommended package for colored kali-treecd
  tree,

## kali-defaults 2025.4.2

=== debian/changelog ===
kali-defaults (2025.4.2) kali-dev; urgency=medium

  * Reenable wayland for GNOME 49
  * Temporary fix for vboxclient under Wayland

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 04 Nov 2025 12:15:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installgsettings:
	# Use 20 as priority as recommended by dh_installgsettings(1)
	# since we're a Debian derivative
	dh_installgsettings --priority=20

## kali-defaults 2025.4.3

=== debian/changelog ===
kali-defaults (2025.4.3) kali-dev; urgency=medium

  * Update browser home page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 24 Nov 2025 12:42:16 +0100

## kali-defaults 2026.1.0

=== debian/changelog ===
kali-defaults (2026.1.0) kali-dev; urgency=medium

  * Reorder firefox/policies.json
  * Divert /usr/share/firefox-esr/distribution/policies.json
  * Update Kali-specific EXTERNALLY-MANAGED files

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 02 Feb 2026 16:49:43 +0700

## kali-defaults 2026.1.1

=== debian/changelog ===
kali-defaults (2026.1.1) kali-dev; urgency=medium

  * Update background image for Kali's browser home-page

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 10 Feb 2026 11:51:40 +0100
